CREATE TABLE AARD( AARD_ID INTEGER NOT NULL, AARD_NAAM VARCHAR2(255) NOT NULL );

CREATE TABLE CALAMITEITEN( CALID INTEGER PRIMARY KEY NOT NULL, CALTITEL VARCHAR2(255) NOT NULL, CALDATE DATE, CALDATETYPE VARCHAR2(20) NOT NULL, CALX INTEGER NOT NULL, CALY INTEGER NOT NULL, CALNAAMCOORD VARCHAR2(255) NOT NULL, CALAARD VARCHAR2(255) NOT NULL, CALCODE VARCHAR2(100) NOT NULL, CALOPM CLOB NOT NULL, ACTUEEL SMALLINT NOT NULL );

CREATE SEQUENCE CALAMITEITEN_SEQ START WITH 1 INCREMENT BY 1 NOMAXVALUE;

CREATE OR REPLACE TRIGGER CALAMITEITEN_TRIGGER BEFORE INSERT ON CALAMITEITEN FOR EACH ROW
BEGIN
  SELECT CALAMITEITEN_SEQ.nextval INTO :new.CALID from dual;
END;
/

CREATE TABLE GEBRUIKERROLLEN( NUMMER INTEGER PRIMARY KEY NOT NULL, GEBRUIKER INTEGER NOT NULL, ROL INTEGER NOT NULL, UNIQUE (GEBRUIKER,ROL) );

CREATE SEQUENCE GEBRUIKERROLLEN_SEQ START WITH 1 INCREMENT BY 1 NOMAXVALUE;

CREATE OR REPLACE TRIGGER GEBRUIKERROLLEN_TRIGGER BEFORE INSERT ON GEBRUIKERROLLEN FOR EACH ROW
BEGIN
  SELECT GEBRUIKERROLLEN_SEQ.nextval INTO :new.NUMMER from dual;
END;
/

CREATE TABLE GEBRUIKERS ( VOLGNUMMER INTEGER PRIMARY KEY NOT NULL, GEBRUIKERSNAAM VARCHAR2(32) NOT NULL UNIQUE, WACHTWOORD VARCHAR2(16) NOT NULL, ORGANISATIE VARCHAR2(100) NOT NULL, TITEL VARCHAR2(32), VOORLETTERS VARCHAR2(8) NOT NULL, TUSSENVOEGSEL VARCHAR2(16), ACHTERNAAM VARCHAR2(100) NOT NULL, TELEFOON VARCHAR2(20), MOBIEL VARCHAR2(20), FAX VARCHAR2(20), EMAIL VARCHAR2(129), CONTACTPERSOON VARCHAR2(100), DATUM_INVOER DATE);

CREATE SEQUENCE GEBRUIKERS_SEQ START WITH 1 INCREMENT BY 1 NOMAXVALUE;

CREATE OR REPLACE TRIGGER GEBRUIKERS_TRIGGER BEFORE INSERT ON GEBRUIKERS FOR EACH ROW
BEGIN
  SELECT GEBRUIKERS_SEQ.nextval INTO :new.VOLGNUMMER from dual;
END;
/

CREATE TABLE ROLLEN ( ROLNUMMER INTEGER NOT NULL PRIMARY KEY, ROLNAAM VARCHAR2(20) NOT NULL UNIQUE, HTMLPAGINA VARCHAR2(100) NOT NULL );

CREATE SEQUENCE ROLLEN_SEQ START WITH 1 INCREMENT BY 1 NOMAXVALUE;

CREATE OR REPLACE TRIGGER ROLLEN_TRIGGER BEFORE INSERT ON ROLLEN FOR EACH ROW
BEGIN
  SELECT ROLLEN_SEQ.nextval INTO :new.ROLNUMMER from dual;
END;
/

CREATE TABLE VERSPREIDINGSKAARTEN ( VERSPR_ID INTEGER NOT NULL PRIMARY KEY, VERSPR_ORGANISATIE VARCHAR2(255) NOT NULL, VERSPR_COORDINATOR VARCHAR2(255) NOT NULL, VERSPR_STOFNAAM VARCHAR2(255) NOT NULL, VERSPR_DATUMBEGIN DATE, VERSPR_DATUMEIND DATE, VERSPR_DATETYPE VARCHAR2(20) NOT NULL, VERSPR_CALCODE VARCHAR2(255) NOT NULL, VERSPR_INFRAWEBCODE VARCHAR2(255) NOT NULL, VERSPR_OPMERKING CLOB NOT NULL, VERSPR_LAYERNAME VARCHAR2(255) NOT NULL UNIQUE, VERSPR_DATALAYER VARCHAR2(255) NOT NULL, VERSPR_WMSLAYERGROUP VARCHAR2(255) NOT NULL, VERSPR_SHOWINMAP SMALLINT );

CREATE SEQUENCE VERSPREIDINGSKAARTEN_SEQ START WITH 1 INCREMENT BY 1 NOMAXVALUE;

CREATE OR REPLACE TRIGGER VERSPREIDINGSKAARTEN_TRIGGER BEFORE INSERT ON VERSPREIDINGSKAARTEN FOR EACH ROW
BEGIN
  SELECT VERSPREIDINGSKAARTEN_SEQ.nextval INTO :new.VERSPR_ID from dual;
END;
/

create or replace view VW_CALAMITEITEN_ACTUEEL AS SELECT * FROM CALAMITEITEN WHERE ACTUEEL = 1;

create or replace view VW_CALAMITEITEN_OUD AS SELECT * FROM CALAMITEITEN WHERE ACTUEEL = 0;

QUIT;
